List servers
curl --request GET \
--url https://console.cloudblast.io/api/v2/servers \
--header 'Authorization: Bearer <token>'import requests
url = "https://console.cloudblast.io/api/v2/servers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://console.cloudblast.io/api/v2/servers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": 42,
"uuid": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"uuid_short": "a1b2c3d4",
"name": "Starter VPS",
"hostname": "web-01.example.com",
"status": null,
"cpu": 2,
"memory": 2147483648,
"disk": 42949672960,
"bandwidth_usage": 536870912,
"bandwidth_limit": 1073741824000,
"node_id": 1,
"created_at": "2026-01-10T14:00:00+00:00",
"ip_addresses": [
{
"address": "203.0.113.50",
"type": "ipv4",
"gateway": "203.0.113.1",
"cidr": 24,
"rdns": "server1.example.com"
}
]
}
],
"meta": {
"current_page": 1,
"last_page": 3,
"per_page": 25,
"total": 72
}
}{
"error": {
"code": "UNAUTHENTICATED",
"message": "Missing or invalid Authorization header. Use: Authorization: Bearer <token>"
}
}Servers
List Servers
Returns a paginated list of your servers. Optionally filter by status.
GET
/
servers
List servers
Authorizations
API token from your CloudBlast account settings. Pass as Authorization: Bearer <token>.
Query Parameters
Page number for pagination
Filter by server status. Omit to list all servers.
Available options:
installing, install_failed, suspended, restoring_backup, restoring_snapshot, deleting, deletion_failed ⌘I